---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# List products V2

Returns a collection with all products.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Product",
      "description": "Product represents the services or things given company sells in the business."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v2/products": {
      "get": {
        "tags": [
          "Product"
        ],
        "operationId": "product.listV2",
        "summary": "List products V2",
        "description": "Returns a collection with all products.",
        "parameters": [
          {
            "name": "filter",
            "in": "query",
            "style": "deepObject",
            "schema": {
              "type": "array",
              "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "key": {
                    "type": "string",
                    "enum": [
                      "search",
                      "id",
                      "uuid",
                      "category",
                      "merchandiseGroup",
                      "standardSupplier",
                      "name",
                      "number",
                      "description",
                      "project",
                      "projectName",
                      "purchasePriceNet",
                      "purchasePriceGross",
                      "salesChannel",
                      "salesPriceNet",
                      "salesPriceGross",
                      "shopPriceDisplay",
                      "purchasedCount",
                      "availableCount",
                      "inProductionCount",
                      "ean",
                      "manufacturerName",
                      "manufacturerNumber",
                      "customsTariffNumber",
                      "freeField1",
                      "freeField2",
                      "freeField3",
                      "freeField4",
                      "freeField5",
                      "freeField6",
                      "freeField7",
                      "freeField8",
                      "freeField9",
                      "freeField10",
                      "freeField11",
                      "freeField12",
                      "freeField13",
                      "freeField14",
                      "freeField15",
                      "freeField16",
                      "freeField17",
                      "freeField18",
                      "freeField19",
                      "freeField20",
                      "freeField21",
                      "freeField22",
                      "freeField23",
                      "freeField24",
                      "freeField25",
                      "freeField26",
                      "freeField27",
                      "freeField28",
                      "freeField29",
                      "freeField30",
                      "freeField31",
                      "freeField32",
                      "freeField33",
                      "freeField34",
                      "freeField35",
                      "freeField36",
                      "freeField37",
                      "freeField38",
                      "freeField39",
                      "freeField40",
                      "onlyStockItems",
                      "noStockItems",
                      "onlyVariants",
                      "noVariants",
                      "onlyPartsList",
                      "noPartsList",
                      "onlyActive",
                      "onlyLocked",
                      "onlyInStock",
                      "updatedAt",
                      "isStockItem",
                      "categoryId",
                      "tagId",
                      "isDiscountProduct",
                      "isShippingCostsProduct",
                      "isVariant",
                      "variantOf",
                      "externalReferenceNumber",
                      "externalReferenceName",
                      "externalReferenceTargetId"
                    ]
                  },
                  "op": {
                    "type": "string",
                    "enum": [
                      "equals",
                      "notEquals",
                      "in",
                      "notIn",
                      "exactlyIn",
                      "allIn",
                      "allNotIn",
                      "contains",
                      "notContains",
                      "startsWith",
                      "endsWith",
                      "greaterThan",
                      "lessThan",
                      "is",
                      "lessThanOrEquals",
                      "greaterThanOrEquals"
                    ]
                  },
                  "value": {
                    "oneOf": [
                      {
                        "type": "string",
                        "description": "Used for the operations 'equals', 'notEquals', 'contains', 'notContains', 'startsWith', 'endsWith' and 'is'.",
                        "title": "String"
                      },
                      {
                        "type": "array",
                        "description": "Used for the operations 'in', 'notIn', 'exactlyIn', 'allIn' and 'allNotIn'.",
                        "title": "Array",
                        "items": {
                          "type": "string"
                        }
                      }
                    ]
                  }
                }
              }
            }
          },
          {
            "in": "query",
            "name": "page",
            "required": false,
            "style": "deepObject",
            "schema": {
              "type": "object",
              "additionalProperties": false,
              "required": [
                "number",
                "size"
              ],
              "properties": {
                "number": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page number should be an integer greater than or equal to 1"
                },
                "size": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page size should usually be an integer between 10 and 50."
                }
              }
            }
          },
          {
            "name": "order",
            "in": "query",
            "style": "deepObject",
            "schema": {
              "type": "array",
              "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "field": {
                    "type": "string",
                    "enum": [
                      "id",
                      "name",
                      "number",
                      "description",
                      "project",
                      "purchasePriceNet",
                      "purchasePriceGross",
                      "salesPriceNet",
                      "salesPriceGross",
                      "ean",
                      "manufacturerName",
                      "manufacturerNumber",
                      "customsTariffNumber"
                    ]
                  },
                  "dir": {
                    "type": "string",
                    "enum": [
                      "asc",
                      "desc"
                    ]
                  }
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "additionalProperties": false,
                        "properties": {
                          "id": {
                            "type": "string",
                            "pattern": "\\d+",
                            "example": "17",
                            "description": "Resource identifier."
                          },
                          "uuid": {
                            "description": "UUID identifier of the resource.",
                            "type": "string",
                            "pattern": "^$|^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}$",
                            "example": "a00fd11e-3a67-433b-83c0-4e815fd4a0e1"
                          },
                          "project": {
                            "description": "An object with id and name",
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "name"
                            ],
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              },
                              "name": {
                                "type": "string"
                              }
                            },
                            "example": {
                              "id": "1337",
                              "name": "Diamond"
                            }
                          },
                          "merchandiseGroup": {
                            "description": "An optional object with id and name",
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "name"
                            ],
                            "nullable": true,
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              },
                              "name": {
                                "type": "string"
                              }
                            },
                            "example": {
                              "id": "1337",
                              "name": "Diamond"
                            }
                          },
                          "name": {
                            "type": "string",
                            "description": "Name of the product.",
                            "example": "Example Product Name"
                          },
                          "stockCount": {
                            "x-description-missing": true,
                            "type": "number",
                            "example": 150
                          },
                          "number": {
                            "type": "string",
                            "description": "Number / SKU of the product.",
                            "example": "SKU-12345"
                          },
                          "description": {
                            "type": "string",
                            "description": "Description of the product.",
                            "example": "This product is designed for everyday use and offers high durability."
                          },
                          "internalComment": {
                            "type": "string",
                            "description": "Text only for internal information.",
                            "example": "This product is on hold due to quality checks."
                          },
                          "shortDescription": {
                            "type": "string",
                            "description": "Short description of the product.",
                            "example": "Compact and lightweight, perfect for travel."
                          },
                          "standardSupplier": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id"
                            ],
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "nullable": true,
                                "x-example-ignore": true,
                                "description": "Nullable resource identifier"
                              }
                            },
                            "description": "Reference to a standard supplier for this product",
                            "nullable": true,
                            "example": {
                              "id": "12345"
                            }
                          },
                          "thumbnailUrl": {
                            "type": "string",
                            "nullable": true,
                            "description": "URL of the product's thumbnail.",
                            "example": "https://example.com/images/product-thumbnail.jpg"
                          },
                          "thumbnailId": {
                            "type": "string",
                            "nullable": true,
                            "description": "ID of the product's thumbnail.",
                            "example": "thumb-12345"
                          },
                          "tags": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "additionalProperties": false,
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "pattern": "\\d+"
                                },
                                "key": {
                                  "x-description-missing": true,
                                  "type": "string"
                                },
                                "name": {
                                  "x-description-missing": true,
                                  "type": "string"
                                },
                                "color": {
                                  "type": "string",
                                  "pattern": "[a-fA-F0-9]{6}",
                                  "example": "ff0000",
                                  "description": "Hexadecimal color value in 6-digit format without the leading # character."
                                }
                              }
                            }
                          },
                          "purchasePriceNet": {
                            "description": "Optional Money object with amount and currency",
                            "type": "object",
                            "nullable": true,
                            "additionalProperties": false,
                            "example": {
                              "amount": "13.37",
                              "currency": "EUR"
                            },
                            "properties": {
                              "amount": {
                                "type": "string",
                                "format": "float"
                              },
                              "currency": {
                                "type": "string",
                                "pattern": "[A-Z]{3}",
                                "enum": [
                                  "EUR",
                                  "USD",
                                  "JPY",
                                  "BGN",
                                  "CZK",
                                  "DKK",
                                  "GBP",
                                  "HUF",
                                  "PLN",
                                  "RON",
                                  "SEK",
                                  "CHF",
                                  "ISK",
                                  "NOK",
                                  "HRK",
                                  "RUB",
                                  "TRY",
                                  "AUD",
                                  "BRL",
                                  "CAD",
                                  "CNY",
                                  "HKD",
                                  "IDR",
                                  "ILS",
                                  "INR",
                                  "KRW",
                                  "MXN",
                                  "MYR",
                                  "NZD",
                                  "PHP",
                                  "SGD",
                                  "THB",
                                  "ZAR",
                                  "ARS",
                                  "CLP",
                                  "SAR",
                                  "AED",
                                  "QAR"
                                ],
                                "description": "Currency matches one of currency values as specified in ISO-4217.",
                                "example": "PLN"
                              }
                            }
                          },
                          "purchasePriceGross": {
                            "description": "Optional Money object with amount and currency",
                            "type": "object",
                            "nullable": true,
                            "additionalProperties": false,
                            "example": {
                              "amount": "13.37",
                              "currency": "EUR"
                            },
                            "properties": {
                              "amount": {
                                "type": "string",
                                "format": "float"
                              },
                              "currency": {
                                "type": "string",
                                "pattern": "[A-Z]{3}",
                                "enum": [
                                  "EUR",
                                  "USD",
                                  "JPY",
                                  "BGN",
                                  "CZK",
                                  "DKK",
                                  "GBP",
                                  "HUF",
                                  "PLN",
                                  "RON",
                                  "SEK",
                                  "CHF",
                                  "ISK",
                                  "NOK",
                                  "HRK",
                                  "RUB",
                                  "TRY",
                                  "AUD",
                                  "BRL",
                                  "CAD",
                                  "CNY",
                                  "HKD",
                                  "IDR",
                                  "ILS",
                                  "INR",
                                  "KRW",
                                  "MXN",
                                  "MYR",
                                  "NZD",
                                  "PHP",
                                  "SGD",
                                  "THB",
                                  "ZAR",
                                  "ARS",
                                  "CLP",
                                  "SAR",
                                  "AED",
                                  "QAR"
                                ],
                                "description": "Currency matches one of currency values as specified in ISO-4217.",
                                "example": "PLN"
                              }
                            }
                          },
                          "salesPriceNet": {
                            "description": "Optional Money object with amount and currency",
                            "type": "object",
                            "nullable": true,
                            "additionalProperties": false,
                            "example": {
                              "amount": "13.37",
                              "currency": "EUR"
                            },
                            "properties": {
                              "amount": {
                                "type": "string",
                                "format": "float"
                              },
                              "currency": {
                                "type": "string",
                                "pattern": "[A-Z]{3}",
                                "enum": [
                                  "EUR",
                                  "USD",
                                  "JPY",
                                  "BGN",
                                  "CZK",
                                  "DKK",
                                  "GBP",
                                  "HUF",
                                  "PLN",
                                  "RON",
                                  "SEK",
                                  "CHF",
                                  "ISK",
                                  "NOK",
                                  "HRK",
                                  "RUB",
                                  "TRY",
                                  "AUD",
                                  "BRL",
                                  "CAD",
                                  "CNY",
                                  "HKD",
                                  "IDR",
                                  "ILS",
                                  "INR",
                                  "KRW",
                                  "MXN",
                                  "MYR",
                                  "NZD",
                                  "PHP",
                                  "SGD",
                                  "THB",
                                  "ZAR",
                                  "ARS",
                                  "CLP",
                                  "SAR",
                                  "AED",
                                  "QAR"
                                ],
                                "description": "Currency matches one of currency values as specified in ISO-4217.",
                                "example": "PLN"
                              }
                            }
                          },
                          "salesPriceGross": {
                            "description": "Optional Money object with amount and currency",
                            "type": "object",
                            "nullable": true,
                            "additionalProperties": false,
                            "example": {
                              "amount": "13.37",
                              "currency": "EUR"
                            },
                            "properties": {
                              "amount": {
                                "type": "string",
                                "format": "float"
                              },
                              "currency": {
                                "type": "string",
                                "pattern": "[A-Z]{3}",
                                "enum": [
                                  "EUR",
                                  "USD",
                                  "JPY",
                                  "BGN",
                                  "CZK",
                                  "DKK",
                                  "GBP",
                                  "HUF",
                                  "PLN",
                                  "RON",
                                  "SEK",
                                  "CHF",
                                  "ISK",
                                  "NOK",
                                  "HRK",
                                  "RUB",
                                  "TRY",
                                  "AUD",
                                  "BRL",
                                  "CAD",
                                  "CNY",
                                  "HKD",
                                  "IDR",
                                  "ILS",
                                  "INR",
                                  "KRW",
                                  "MXN",
                                  "MYR",
                                  "NZD",
                                  "PHP",
                                  "SGD",
                                  "THB",
                                  "ZAR",
                                  "ARS",
                                  "CLP",
                                  "SAR",
                                  "AED",
                                  "QAR"
                                ],
                                "description": "Currency matches one of currency values as specified in ISO-4217.",
                                "example": "PLN"
                              }
                            }
                          },
                          "ean": {
                            "type": "string",
                            "nullable": true,
                            "description": "EAN of the product.",
                            "example": "978-3-16-148410-0"
                          },
                          "manufacturer": {
                            "x-description-missing": true,
                            "type": "object",
                            "additionalProperties": false,
                            "properties": {
                              "name": {
                                "type": "string",
                                "nullable": true,
                                "description": "Name of the manufacturer."
                              },
                              "number": {
                                "type": "string",
                                "nullable": true,
                                "description": "Product number at the manufacturer."
                              },
                              "link": {
                                "type": "string",
                                "nullable": true,
                                "description": "URI of the manufacturer."
                              }
                            },
                            "example": {
                              "name": "Test Corp",
                              "number": "AC12345",
                              "link": "https://www.testcorp.com"
                            }
                          },
                          "customsTariffNumber": {
                            "type": "string",
                            "nullable": true,
                            "description": "Customs tariff number of the product.",
                            "example": "1234.56.78"
                          },
                          "isShippingCostsProduct": {
                            "type": "boolean",
                            "description": "Determines if a product is used as a shipping costs product. For more information have a look into our handbook.",
                            "example": false
                          },
                          "discount": {
                            "x-description-missing": true,
                            "type": "object",
                            "additionalProperties": false,
                            "properties": {
                              "isDiscountProduct": {
                                "type": "boolean",
                                "description": "Determines if a product is used as a discount. For more information have a look into our handbook."
                              },
                              "discountPercentage": {
                                "type": "number",
                                "format": "float",
                                "description": "Shows the discount value if the product is a discount. For more information have a look into our handbook."
                              }
                            },
                            "example": {
                              "isDiscountProduct": false,
                              "discountPercentage": 15.5
                            }
                          },
                          "stockStats": {
                            "x-description-missing": true,
                            "type": "object",
                            "additionalProperties": false,
                            "properties": {
                              "purchasedCount": {
                                "type": "string",
                                "format": "float",
                                "nullable": true
                              },
                              "totalCount": {
                                "type": "string",
                                "format": "float",
                                "nullable": true
                              },
                              "availableCount": {
                                "type": "string",
                                "format": "float",
                                "nullable": true
                              },
                              "inProductionCount": {
                                "type": "string",
                                "format": "float",
                                "nullable": true
                              }
                            },
                            "example": {
                              "purchasedCount": "10.0",
                              "totalCount": "50.0",
                              "availableCount": "30.0",
                              "inProductionCount": "10.0"
                            }
                          },
                          "minimumOrderQuantity": {
                            "type": "number",
                            "description": "Numerical minimum order quantity of the product.",
                            "example": 5
                          },
                          "minimumStorageQuantity": {
                            "type": "number",
                            "description": "Numerical minimum storage quantity of the product.",
                            "example": 10
                          },
                          "allowPurchaseFromAllSuppliers": {
                            "type": "boolean",
                            "description": "Shows if the product can be purchased from all suppliers.",
                            "example": true
                          },
                          "isCustomProduct": {
                            "type": "boolean",
                            "description": "Shows if the product is a custom product.",
                            "example": false
                          },
                          "isDeleted": {
                            "type": "boolean",
                            "description": "Shows if the product is deleted.",
                            "example": false
                          },
                          "hasBatches": {
                            "type": "boolean",
                            "description": "Shows if the product has batches.",
                            "example": true
                          },
                          "serialNumbersMode": {
                            "type": "string",
                            "description": "Shows one of the 4 different modes if the product has serial numbers or not and how they are handled. For more information about the different modes have a look into our handbook.",
                            "example": "mandatory"
                          },
                          "hasBestBeforeDate": {
                            "type": "boolean",
                            "description": "Shows if the product has a best before date.",
                            "example": true
                          },
                          "hasBillOfMaterials": {
                            "type": "boolean",
                            "description": "Shows if the product has a bill of materials.",
                            "example": false
                          },
                          "isAssembledJustInTime": {
                            "type": "boolean",
                            "description": "Shows if the product is assembled just in time.",
                            "example": true
                          },
                          "isProductionProduct": {
                            "type": "boolean",
                            "description": "Shows if the product is made in production.",
                            "example": false
                          },
                          "isExternallyProduced": {
                            "type": "boolean",
                            "description": "Shows if the product is externally produced.",
                            "example": true
                          },
                          "hidePriceOnDocuments": {
                            "type": "boolean",
                            "description": "Shows if the price is hidden on documents.",
                            "example": false
                          },
                          "ageRating": {
                            "type": "string",
                            "nullable": true,
                            "description": "Shows if the product has an age rating. Currently only used for the shipping service provider DHL.",
                            "example": "12+"
                          },
                          "countryOfOrigin": {
                            "type": "string",
                            "pattern": "[A-Z]{2}",
                            "nullable": true,
                            "description": "Two-digit ISO country code for country of origin of the product.",
                            "example": "DE"
                          },
                          "unit": {
                            "type": "object",
                            "additionalProperties": false,
                            "properties": {
                              "name": {
                                "type": "string"
                              }
                            },
                            "description": "Shows the name of the product unit.",
                            "example": {
                              "name": "kilogram"
                            }
                          },
                          "textsAndDescriptions": {
                            "type": "object",
                            "description": "Contains localized text and descriptions for the product.",
                            "properties": {
                              "inCatalog": {
                                "type": "boolean",
                                "description": "Indicates if the product is included in the catalog.",
                                "example": true
                              },
                              "primaryLanguage": {
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "name": {
                                    "type": "string",
                                    "description": "name",
                                    "example": "test1"
                                  },
                                  "shortDescription": {
                                    "type": "string",
                                    "description": "shortDescription",
                                    "example": "test1"
                                  },
                                  "description": {
                                    "type": "string",
                                    "description": "description",
                                    "example": "test1"
                                  },
                                  "shopDescription": {
                                    "type": "string",
                                    "description": "shopDescription",
                                    "example": "test1"
                                  },
                                  "metaTitle": {
                                    "type": "string",
                                    "description": "metaTitle",
                                    "example": "test1"
                                  },
                                  "metaDescription": {
                                    "type": "string",
                                    "description": "metaDescription",
                                    "example": "test1"
                                  },
                                  "metaKeywords": {
                                    "type": "string",
                                    "description": "metaKeywords",
                                    "example": "test1"
                                  },
                                  "catalogName": {
                                    "type": "string",
                                    "description": "catalogName",
                                    "example": "test1"
                                  },
                                  "catalogText": {
                                    "type": "string",
                                    "description": "catalogText",
                                    "example": "test1"
                                  }
                                },
                                "example": {
                                  "name": "Produkt eins",
                                  "shortDescription": "Kurze Beschreibung des Produkts.",
                                  "description": "Dies ist eine detaillierte Produktbeschreibung.",
                                  "shopDescription": "Verkaufsbeschreibung für den Shop.",
                                  "metaTitle": "Produkt SEO-Titel",
                                  "metaDescription": "Meta-Beschreibung für das Produkt.",
                                  "metaKeywords": "Produkt, SEO, Keywords",
                                  "catalogName": "Produktkatalogname",
                                  "catalogText": "Detaillierter Katalogtext für das Produkt."
                                }
                              },
                              "english": {
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "name": {
                                    "type": "string",
                                    "description": "name",
                                    "example": "test1"
                                  },
                                  "shortDescription": {
                                    "type": "string",
                                    "description": "shortDescription",
                                    "example": "test1"
                                  },
                                  "description": {
                                    "type": "string",
                                    "description": "description",
                                    "example": "test1"
                                  },
                                  "shopDescription": {
                                    "type": "string",
                                    "description": "shopDescription",
                                    "example": "test1"
                                  },
                                  "metaTitle": {
                                    "type": "string",
                                    "description": "metaTitle",
                                    "example": "test1"
                                  },
                                  "metaDescription": {
                                    "type": "string",
                                    "description": "metaDescription",
                                    "example": "test1"
                                  },
                                  "metaKeywords": {
                                    "type": "string",
                                    "description": "metaKeywords",
                                    "example": "test1"
                                  },
                                  "catalogName": {
                                    "type": "string",
                                    "description": "catalogName",
                                    "example": "test1"
                                  },
                                  "catalogText": {
                                    "type": "string",
                                    "description": "catalogText",
                                    "example": "test1"
                                  }
                                },
                                "example": {
                                  "name": "Product One",
                                  "shortDescription": "Short description of the product.",
                                  "description": "This is a detailed product description.",
                                  "shopDescription": "Shop description for the product.",
                                  "metaTitle": "Product SEO Title",
                                  "metaDescription": "Meta description for the product.",
                                  "metaKeywords": "product, SEO, keywords",
                                  "catalogName": "Product Catalog Name",
                                  "catalogText": "Detailed catalog text for the product."
                                }
                              }
                            },
                            "example": {
                              "inCatalog": true,
                              "primaryLanguage": {
                                "name": "Produkt eins",
                                "shortDescription": "Kurze Beschreibung des Produkts.",
                                "description": "Dies ist eine detaillierte Produktbeschreibung.",
                                "shopDescription": "Verkaufsbeschreibung für den Shop.",
                                "metaTitle": "Produkt SEO-Titel",
                                "metaDescription": "Meta-Beschreibung für das Produkt.",
                                "metaKeywords": "Produkt, SEO, Keywords",
                                "catalogName": "Produktkatalogname",
                                "catalogText": "Detaillierter Katalogtext für das Produkt."
                              },
                              "english": {
                                "name": "Product One",
                                "shortDescription": "Short description of the product.",
                                "description": "This is a detailed product description.",
                                "shopDescription": "Shop description for the product.",
                                "metaTitle": "Product SEO Title",
                                "metaDescription": "Meta description for the product.",
                                "metaKeywords": "product, SEO, keywords",
                                "catalogName": "Product Catalog Name",
                                "catalogText": "Detailed catalog text for the product."
                              }
                            }
                          },
                          "measurements": {
                            "x-description-missing": true,
                            "type": "object",
                            "additionalProperties": false,
                            "properties": {
                              "width": {
                                "x-description-missing": true,
                                "type": "object",
                                "additionalProperties": false,
                                "required": [
                                  "value",
                                  "unit"
                                ],
                                "properties": {
                                  "value": {
                                    "type": "number",
                                    "format": "float"
                                  },
                                  "unit": {
                                    "type": "string",
                                    "enum": [
                                      "cm"
                                    ],
                                    "description": "Currently only cm as unit allowed."
                                  }
                                },
                                "example": {
                                  "value": 20,
                                  "unit": "cm"
                                }
                              },
                              "height": {
                                "x-description-missing": true,
                                "type": "object",
                                "additionalProperties": false,
                                "required": [
                                  "value",
                                  "unit"
                                ],
                                "properties": {
                                  "value": {
                                    "type": "number",
                                    "format": "float"
                                  },
                                  "unit": {
                                    "type": "string",
                                    "enum": [
                                      "cm"
                                    ],
                                    "description": "Currently only cm as unit allowed."
                                  }
                                },
                                "example": {
                                  "value": 20,
                                  "unit": "cm"
                                }
                              },
                              "length": {
                                "x-description-missing": true,
                                "type": "object",
                                "additionalProperties": false,
                                "required": [
                                  "value",
                                  "unit"
                                ],
                                "properties": {
                                  "value": {
                                    "type": "number",
                                    "format": "float"
                                  },
                                  "unit": {
                                    "type": "string",
                                    "enum": [
                                      "cm"
                                    ],
                                    "description": "Currently only cm as unit allowed."
                                  }
                                },
                                "example": {
                                  "value": 20,
                                  "unit": "cm"
                                }
                              },
                              "weight": {
                                "x-description-missing": true,
                                "type": "object",
                                "additionalProperties": false,
                                "required": [
                                  "value",
                                  "unit"
                                ],
                                "properties": {
                                  "value": {
                                    "type": "number",
                                    "format": "float",
                                    "example": 10.5
                                  },
                                  "unit": {
                                    "type": "string",
                                    "enum": [
                                      "kg"
                                    ],
                                    "description": "Currently only kg as unit allowed.",
                                    "example": "kg"
                                  }
                                },
                                "example": {
                                  "value": 20,
                                  "unit": "kg"
                                }
                              },
                              "netWeight": {
                                "x-description-missing": true,
                                "type": "object",
                                "additionalProperties": false,
                                "required": [
                                  "value",
                                  "unit"
                                ],
                                "properties": {
                                  "value": {
                                    "type": "number",
                                    "format": "float",
                                    "example": 10.5
                                  },
                                  "unit": {
                                    "type": "string",
                                    "enum": [
                                      "kg"
                                    ],
                                    "description": "Currently only kg as unit allowed.",
                                    "example": "kg"
                                  }
                                },
                                "example": {
                                  "value": 20,
                                  "unit": "kg"
                                }
                              }
                            },
                            "example": {
                              "width": {
                                "value": 20,
                                "unit": "cm"
                              },
                              "height": {
                                "value": 10,
                                "unit": "cm"
                              },
                              "length": {
                                "value": 30,
                                "unit": "cm"
                              },
                              "weight": {
                                "value": 2,
                                "unit": "kg"
                              },
                              "netWeight": {
                                "value": 1.5,
                                "unit": "kg"
                              }
                            }
                          },
                          "isStockItem": {
                            "type": "boolean",
                            "description": "Shows if the product is a stock item.",
                            "example": true
                          },
                          "defaultStorageLocation": {
                            "description": "Default storage location of the product.",
                            "type": "object",
                            "nullable": true,
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              }
                            },
                            "example": {
                              "id": "17"
                            }
                          },
                          "isStockTakingDisabled": {
                            "type": "boolean",
                            "description": "Shows if the product is used for stock taking.",
                            "example": false
                          },
                          "hideJustInTimeItemsOnDocuments": {
                            "type": "boolean",
                            "description": "Shows if the just in time items of the parts list are visible on documents.",
                            "example": false
                          },
                          "isDisabled": {
                            "type": "boolean",
                            "description": "Shows if the product is locked.",
                            "example": true
                          },
                          "disabledReason": {
                            "type": "string",
                            "nullable": true,
                            "description": "Shows the reason why the product is locked when clicking into the product.",
                            "example": "Out of stock"
                          },
                          "salesTax": {
                            "type": "string",
                            "enum": [
                              "standard",
                              "reduced",
                              "free"
                            ],
                            "description": "Shows the sales tax of the product.",
                            "example": "reduced"
                          },
                          "individualTaxRate": {
                            "type": "number",
                            "format": "float",
                            "nullable": true,
                            "description": "The configured individual/custom tax-rate percentage (Individueller Steuersatz) when an individual tax rate is active on the product; null when no individual tax rate is set. Note: 0 is a valid individual tax rate, so null (not 0) indicates 'not set'.",
                            "example": 4.9
                          },
                          "regionOfOrigin": {
                            "type": "string",
                            "description": "Region where the product originates from.",
                            "example": "04"
                          },
                          "freeFields": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "additionalProperties": false,
                              "required": [
                                "id",
                                "name",
                                "value"
                              ],
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "pattern": "\\d+",
                                  "example": "17",
                                  "description": "Resource identifier."
                                },
                                "name": {
                                  "type": "string",
                                  "nullable": true
                                },
                                "value": {
                                  "type": "string"
                                }
                              }
                            }
                          },
                          "isMatrixProduct": {
                            "type": "boolean",
                            "description": "Shows if the product is a matrix product.",
                            "example": false
                          },
                          "stockTaking": {
                            "type": "object",
                            "additionalProperties": false,
                            "description": "Contains settings for stock taking.",
                            "properties": {
                              "hasStockTakingValue": {
                                "type": "boolean",
                                "description": "Shows if the stock taking value should be used instead of the purchase price for stock taking."
                              },
                              "stockTakingValue": {
                                "type": "number",
                                "format": "float",
                                "description": "Shows the stock taking value for stock taking."
                              }
                            },
                            "example": {
                              "hasStockTakingValue": true,
                              "stockTakingValue": 150.75
                            }
                          },
                          "calculatedPurchasePrice": {
                            "type": "object",
                            "additionalProperties": false,
                            "description": "Contains settings for the calculated purchase price.",
                            "properties": {
                              "hasCalculatedPurchasePrice": {
                                "type": "boolean",
                                "description": "Shows if the calculatedPurchasePrice should be used."
                              },
                              "price": {
                                "description": "Money object with amount and currency. If no currency is set, EUR is returned.",
                                "example": {
                                  "amount": "13.37",
                                  "currency": "EUR"
                                },
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "amount": {
                                    "description": "A string representing the amount",
                                    "type": "string",
                                    "format": "float"
                                  },
                                  "currency": {
                                    "type": "string",
                                    "pattern": "[A-Z]{3}",
                                    "enum": [
                                      "EUR",
                                      "USD",
                                      "JPY",
                                      "BGN",
                                      "CZK",
                                      "DKK",
                                      "GBP",
                                      "HUF",
                                      "PLN",
                                      "RON",
                                      "SEK",
                                      "CHF",
                                      "ISK",
                                      "NOK",
                                      "HRK",
                                      "RUB",
                                      "TRY",
                                      "AUD",
                                      "BRL",
                                      "CAD",
                                      "CNY",
                                      "HKD",
                                      "IDR",
                                      "ILS",
                                      "INR",
                                      "KRW",
                                      "MXN",
                                      "MYR",
                                      "NZD",
                                      "PHP",
                                      "SGD",
                                      "THB",
                                      "ZAR",
                                      "ARS",
                                      "CLP",
                                      "SAR",
                                      "AED",
                                      "QAR"
                                    ],
                                    "description": "Currency matches one of currency values as specified in ISO-4217.",
                                    "example": "PLN"
                                  }
                                }
                              }
                            },
                            "example": {
                              "hasCalculatedPurchasePrice": false,
                              "price": {
                                "amount": "13.37",
                                "currency": "EUR"
                              }
                            }
                          },
                          "calculatoryPurchasePriceSettings": {
                            "type": "object",
                            "additionalProperties": false,
                            "description": "Contains settings for the calculatory purchase price triggers.",
                            "properties": {
                              "addPurchasePriceToCalculationTriggers": {
                                "type": "array",
                                "nullable": true,
                                "description": "Define triggers that will add a purchase price to the product calculation.",
                                "items": {
                                  "type": "string",
                                  "enum": [
                                    "onPurchaseOrderCompletion",
                                    "onGoodsReceipt"
                                  ]
                                },
                                "maxItems": 1,
                                "example": [
                                  "onPurchaseOrderCompletion"
                                ]
                              },
                              "calculatoryPurchasePriceRecalculationTriggers": {
                                "type": "array",
                                "nullable": true,
                                "description": "Define triggers that will execute the calculatory purchase price recalculation.",
                                "items": {
                                  "type": "string",
                                  "enum": [
                                    "onPurchaseOrderCompletion",
                                    "onGoodsReceipt"
                                  ]
                                },
                                "maxItems": 1,
                                "example": [
                                  "onPurchaseOrderCompletion"
                                ]
                              },
                              "calculatoryPurchasePriceRecalculationMethod": {
                                "type": "string",
                                "nullable": true,
                                "enum": [
                                  "allRecordedPurchasesWeightedAverage",
                                  "latestPurchaseOrdersWeightedAverage",
                                  "movingAverage"
                                ],
                                "description": "defines the calculation method or price recalculation",
                                "example": "allRecordedPurchasesWeightedAverage"
                              }
                            },
                            "example": {
                              "addPurchasePriceToCalculationTriggers": [
                                "onPurchaseOrderCompletion"
                              ],
                              "calculatoryPurchasePriceRecalculationTriggers": [
                                "onPurchaseOrderCompletion"
                              ],
                              "calculatoryPurchasePriceRecalculationMethod": "latestPurchaseOrdersWeightedAverage"
                            }
                          },
                          "salesChannel": {
                            "x-description-missing": true,
                            "type": "object",
                            "additionalProperties": false,
                            "properties": {
                              "description": {
                                "type": "string",
                                "example": "This is a product description."
                              },
                              "meta": {
                                "type": "object",
                                "additionalProperties": false,
                                "properties": {
                                  "title": {
                                    "type": "string",
                                    "example": "Product Title"
                                  },
                                  "description": {
                                    "type": "string",
                                    "example": "Detailed product description."
                                  },
                                  "keywords": {
                                    "type": "string",
                                    "example": "keyword1, keyword2, keyword3"
                                  }
                                }
                              },
                              "isStockNumberSyncActive": {
                                "description": "Shows if the stock number synchronization to the sales channel is active.",
                                "example": true,
                                "oneOf": [
                                  {
                                    "type": "boolean"
                                  },
                                  {
                                    "type": "number",
                                    "enum": [
                                      0,
                                      1
                                    ]
                                  },
                                  {
                                    "type": "string",
                                    "enum": [
                                      "true",
                                      "false",
                                      "True",
                                      "False",
                                      "TRUE",
                                      "FALSE"
                                    ]
                                  }
                                ]
                              },
                              "isSoldOut": {
                                "description": "Shows if the product is sold out.",
                                "example": false,
                                "oneOf": [
                                  {
                                    "type": "boolean"
                                  },
                                  {
                                    "type": "number",
                                    "enum": [
                                      0,
                                      1
                                    ]
                                  },
                                  {
                                    "type": "string",
                                    "enum": [
                                      "true",
                                      "false",
                                      "True",
                                      "False",
                                      "TRUE",
                                      "FALSE"
                                    ]
                                  }
                                ]
                              },
                              "isRemainingQuantity": {
                                "description": "Shows if only the remaining quantity of the product is left.",
                                "example": true,
                                "oneOf": [
                                  {
                                    "type": "boolean"
                                  },
                                  {
                                    "type": "number",
                                    "enum": [
                                      0,
                                      1
                                    ]
                                  },
                                  {
                                    "type": "string",
                                    "enum": [
                                      "true",
                                      "false",
                                      "True",
                                      "False",
                                      "TRUE",
                                      "FALSE"
                                    ]
                                  }
                                ]
                              },
                              "suggestedRetailPrice": {
                                "type": "string",
                                "format": "float",
                                "nullable": true,
                                "description": "Was earlier called shopPriceDisplay. Only used by some online shops. For more information have a look into our handbook.",
                                "example": "99.99"
                              },
                              "isVisible": {
                                "example": true,
                                "description": "Shows if a product is visible in all sales channels.",
                                "oneOf": [
                                  {
                                    "type": "boolean"
                                  },
                                  {
                                    "type": "number",
                                    "enum": [
                                      0,
                                      1
                                    ]
                                  },
                                  {
                                    "type": "string",
                                    "enum": [
                                      "true",
                                      "false",
                                      "True",
                                      "False",
                                      "TRUE",
                                      "FALSE"
                                    ]
                                  }
                                ]
                              },
                              "suggestedStockQuantity": {
                                "type": "string",
                                "description": "Shows the suggested stock quantity for all sales channel.",
                                "example": "100"
                              },
                              "deliveryTime": {
                                "type": "string",
                                "description": "Shows the delivery time for all sales channels.",
                                "example": "1 week"
                              },
                              "createNewProductDuringImport": {
                                "type": "boolean",
                                "description": "Shows if a new product is generated during the sales order import from all sales channels.",
                                "example": true
                              },
                              "channels": {
                                "type": "array",
                                "nullable": true,
                                "items": {
                                  "type": "object",
                                  "additionalProperties": false,
                                  "properties": {
                                    "id": {
                                      "type": "string",
                                      "pattern": "\\d+",
                                      "example": "17",
                                      "description": "Resource identifier."
                                    },
                                    "salesChannel": {
                                      "description": "Reference to another resource",
                                      "type": "object",
                                      "additionalProperties": false,
                                      "required": [
                                        "id"
                                      ],
                                      "properties": {
                                        "id": {
                                          "type": "string",
                                          "pattern": "\\d+",
                                          "example": "17",
                                          "description": "Resource identifier."
                                        }
                                      },
                                      "example": {
                                        "id": "1337"
                                      }
                                    },
                                    "isActive": {
                                      "description": "Shows if the sales channel connection is active.",
                                      "example": "'true'",
                                      "oneOf": [
                                        {
                                          "type": "boolean"
                                        },
                                        {
                                          "type": "number",
                                          "enum": [
                                            0,
                                            1
                                          ]
                                        },
                                        {
                                          "type": "string",
                                          "enum": [
                                            "true",
                                            "false",
                                            "True",
                                            "False",
                                            "TRUE",
                                            "FALSE"
                                          ]
                                        }
                                      ]
                                    },
                                    "useIndividualSalesChannelSettings": {
                                      "description": "Shows if the individual sales channel settings should be used instead of the general sales channel settings.",
                                      "example": "'true'",
                                      "oneOf": [
                                        {
                                          "type": "boolean"
                                        },
                                        {
                                          "type": "number",
                                          "enum": [
                                            0,
                                            1
                                          ]
                                        },
                                        {
                                          "type": "string",
                                          "enum": [
                                            "true",
                                            "false",
                                            "True",
                                            "False",
                                            "TRUE",
                                            "FALSE"
                                          ]
                                        }
                                      ]
                                    },
                                    "isStockNumberSyncActive": {
                                      "description": "Shows if the stock number synchronization to the sales channel is active.",
                                      "example": "'true'",
                                      "oneOf": [
                                        {
                                          "type": "boolean"
                                        },
                                        {
                                          "type": "number",
                                          "enum": [
                                            0,
                                            1
                                          ]
                                        },
                                        {
                                          "type": "string",
                                          "enum": [
                                            "true",
                                            "false",
                                            "True",
                                            "False",
                                            "TRUE",
                                            "FALSE"
                                          ]
                                        }
                                      ]
                                    },
                                    "isRemainingQuantity": {
                                      "description": "Shows if only the remaining quantity of the product is left.",
                                      "example": true,
                                      "oneOf": [
                                        {
                                          "type": "boolean"
                                        },
                                        {
                                          "type": "number",
                                          "enum": [
                                            0,
                                            1
                                          ]
                                        },
                                        {
                                          "type": "string",
                                          "enum": [
                                            "true",
                                            "false",
                                            "True",
                                            "False",
                                            "TRUE",
                                            "FALSE"
                                          ]
                                        }
                                      ]
                                    },
                                    "suggestedRetailPrice": {
                                      "type": "string",
                                      "description": "Was earlier called shopPriceDisplay. Only used by some online shops. For more information have a look into our handbook."
                                    },
                                    "suggestedStockQuantity": {
                                      "type": "string",
                                      "description": "Sets the suggested stock quantity for the sales channel.",
                                      "example": "100"
                                    },
                                    "deliveryTime": {
                                      "type": "string",
                                      "description": "Shows the delivery time.",
                                      "example": "1 week"
                                    },
                                    "handlingTime": {
                                      "type": "string",
                                      "pattern": "^(0|[1-9]\\d*)$",
                                      "nullable": true,
                                      "description": "Sets the handling time in days for this product. Must be a non-negative integer. This value is only relevant for Amazon sales channels; other sales channels ignore this field.",
                                      "example": "5"
                                    },
                                    "createNewProductDuringImport": {
                                      "description": "Shows if a new product is generated during the sales order import from a sales channel.",
                                      "example": true,
                                      "oneOf": [
                                        {
                                          "type": "boolean"
                                        },
                                        {
                                          "type": "number",
                                          "enum": [
                                            0,
                                            1
                                          ]
                                        },
                                        {
                                          "type": "string",
                                          "enum": [
                                            "true",
                                            "false",
                                            "True",
                                            "False",
                                            "TRUE",
                                            "FALSE"
                                          ]
                                        }
                                      ]
                                    }
                                  }
                                }
                              }
                            },
                            "example": {
                              "description": "This is a product description.",
                              "meta": {
                                "title": "Product Title",
                                "description": "Detailed product description.",
                                "keywords": "keyword1, keyword2, keyword3"
                              },
                              "isStockNumberSyncActive": true,
                              "isSoldOut": false,
                              "isRemainingQuantity": true,
                              "suggestedRetailPrice": "99.99",
                              "isVisible": true
                            }
                          },
                          "options": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "additionalProperties": false,
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "pattern": "\\d+",
                                  "example": "17",
                                  "description": "Resource identifier."
                                },
                                "name": {
                                  "type": "string"
                                },
                                "values": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "additionalProperties": false,
                                    "properties": {
                                      "id": {
                                        "type": "string",
                                        "pattern": "\\d+",
                                        "example": "17",
                                        "description": "Resource identifier."
                                      },
                                      "name": {
                                        "type": "string"
                                      },
                                      "sort": {
                                        "type": "integer"
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "selectedOptions": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "additionalProperties": false,
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "pattern": "\\d+",
                                  "example": "17",
                                  "description": "Resource identifier."
                                },
                                "name": {
                                  "type": "string"
                                },
                                "values": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "additionalProperties": false,
                                    "properties": {
                                      "id": {
                                        "type": "string",
                                        "pattern": "\\d+",
                                        "example": "17",
                                        "description": "Resource identifier."
                                      },
                                      "name": {
                                        "type": "string"
                                      },
                                      "sort": {
                                        "type": "integer"
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "isVariant": {
                            "description": "Shows if the product is a variant from another product.",
                            "type": "boolean",
                            "nullable": true,
                            "example": true
                          },
                          "variantOf": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id"
                            ],
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              }
                            },
                            "description": "Reference to a parent product",
                            "nullable": true,
                            "example": {
                              "id": "parent-product-98765"
                            }
                          },
                          "variants": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "additionalProperties": false,
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "pattern": "\\d+",
                                  "example": "17",
                                  "description": "Resource identifier."
                                },
                                "options": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "additionalProperties": false,
                                    "properties": {
                                      "id": {
                                        "type": "string",
                                        "pattern": "\\d+",
                                        "example": "17",
                                        "description": "Resource identifier."
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "mainVariant": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id"
                            ],
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              }
                            },
                            "description": "Reference to a main variant of this product",
                            "nullable": true,
                            "example": {
                              "id": "variant-12345"
                            }
                          },
                          "categories": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "additionalProperties": false,
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "pattern": "\\d+",
                                  "example": "17",
                                  "description": "Resource identifier."
                                }
                              }
                            }
                          },
                          "updatedAt": {
                            "type": "string",
                            "format": "date-time",
                            "description": "Timestamp of when the product was updated.",
                            "example": "2024-09-23T14:30:00Z"
                          }
                        }
                      }
                    },
                    "extra": {
                      "oneOf": [
                        {
                          "type": "object",
                          "required": [
                            "totalCount",
                            "page"
                          ],
                          "additionalProperties": false,
                          "x-description-ignore": true,
                          "properties": {
                            "totalCount": {
                              "description": "the total count of all items",
                              "type": "integer",
                              "example": 1
                            },
                            "page": {
                              "description": "The pagination object containing the current page number and size",
                              "type": "object",
                              "required": [
                                "number",
                                "size"
                              ],
                              "additionalProperties": false,
                              "properties": {
                                "number": {
                                  "description": "The current page number",
                                  "type": "integer",
                                  "example": 1
                                },
                                "size": {
                                  "description": "The size of the pages",
                                  "type": "integer",
                                  "example": 10
                                }
                              },
                              "example": {
                                "number": 1,
                                "size": 10
                              }
                            }
                          },
                          "example": {
                            "totalCount": 1,
                            "page": {
                              "number": 1,
                              "size": 10
                            }
                          }
                        },
                        {
                          "type": "object",
                          "required": [
                            "totalCount",
                            "cursor"
                          ],
                          "additionalProperties": false,
                          "x-description-ignore": true,
                          "properties": {
                            "totalCount": {
                              "description": "the total count of all items",
                              "type": "integer",
                              "nullable": true,
                              "example": 1
                            },
                            "cursor": {
                              "description": "The pagination object containing the current page number and size",
                              "type": "object",
                              "required": [
                                "nextCursor",
                                "size"
                              ],
                              "additionalProperties": false,
                              "properties": {
                                "nextCursor": {
                                  "description": "Cursoer to use for next page request",
                                  "type": "string",
                                  "example": "NDI="
                                },
                                "size": {
                                  "description": "The size of the pages",
                                  "type": "integer",
                                  "example": 10
                                }
                              },
                              "example": {
                                "nextCursor": "MTA=",
                                "size": 10
                              }
                            }
                          },
                          "example": {
                            "totalCount": 100,
                            "cursor": {
                              "nextCursor": "MTA=",
                              "size": 10
                            }
                          }
                        }
                      ]
                    }
                  }
                },
                "examples": {
                  "Lists information from all products": {
                    "value": {
                      "data": [
                        {
                          "id": "1",
                          "uuid": "018a2690-647a-7a8b-b100-cfc11ab7d4e8",
                          "name": "Screw M10x20",
                          "description": "",
                          "shortDescription": "",
                          "number": "700001",
                          "project": {
                            "id": "1",
                            "name": "Standard project"
                          },
                          "merchandiseGroup": {
                            "id": "2",
                            "name": "Service"
                          },
                          "categories": [
                            {
                              "id": "1"
                            }
                          ],
                          "standardSupplier": {
                            "id": "7"
                          },
                          "stockCount": 22,
                          "stockStats": {
                            "purchasedCount": null,
                            "totalCount": "22.0000",
                            "availableCount": null,
[...]
